### Hierarchy

- SsdMobilenetv1
  - FaceDetectionNet

## Index

### Constructors

- constructor

### Properties

- _name

### Accessors

- isLoaded
- paramMappings
- params

### Methods

- dispose
- extractWeights
- forward
- forwardInput
- freeze
- getFrozenParams
- getParamFromPath
- getParamList
- getTrainableParams
- load
- loadFromDisk
- loadFromUri
- loadFromWeightMap
- locateFaces
- reassignParamFromPath
- serializeParams
- variable

## Constructors

### constructor

- new FaceDetectionNet(): FaceDetectionNet

- Inherited from SsdMobilenetv1.constructor

  - Defined in ssdMobilenetv1/SsdMobilenetv1.ts:17

  #### Returns FaceDetectionNet

## Properties

### _name

_name: any

Inherited from SsdMobilenetv1._name

- Defined in NeuralNetwork.ts:17

## Accessors

### isLoaded

- get isLoaded(): boolean

- - Defined in NeuralNetwork.ts:23

  #### Returns boolean

### paramMappings

- get paramMappings(): ParamMapping[]

- - Defined in NeuralNetwork.ts:21

  #### Returns ParamMapping[]

### params

- get params(): undefined | TNetParams

- - Defined in NeuralNetwork.ts:19

  #### Returns undefined | TNetParams

## Methods

### dispose

- dispose(throwOnRedispose?: boolean): void

- Inherited from SsdMobilenetv1.dispose

  - Defined in NeuralNetwork.ts:65

  #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

### extractWeights

- extractWeights(weights: Float32Array): void

- Inherited from SsdMobilenetv1.extractWeights

  - Defined in NeuralNetwork.ts:118

  #### Parameters

  - ##### weights: Float32Array

  #### Returns void

### forward

- forward(input: any): Promise<any>

- Inherited from SsdMobilenetv1.forward

  - Defined in ssdMobilenetv1/SsdMobilenetv1.ts:33

  #### Parameters

  - ##### input: any

  #### Returns Promise<any>

### forwardInput

- forwardInput(input: NetInput): any

- Inherited from SsdMobilenetv1.forwardInput

  - Defined in ssdMobilenetv1/SsdMobilenetv1.ts:21

  #### Parameters

  - ##### input: NetInput

  #### Returns any

### freeze

- freeze(): void

- Inherited from SsdMobilenetv1.freeze

  - Defined in NeuralNetwork.ts:57

  #### Returns void

### getFrozenParams

- getFrozenParams(): { path: string; tensor: any }[]

- Inherited from SsdMobilenetv1.getFrozenParams

  - Defined in NeuralNetwork.ts:47

  #### Returns { path: string; tensor: any }[]

### getParamFromPath

- getParamFromPath(paramPath: string): any

- Inherited from SsdMobilenetv1.getParamFromPath

  - Defined in NeuralNetwork.ts:25

  #### Parameters

  - ##### paramPath: string

  #### Returns any

### getParamList

- getParamList(): { path: string; tensor: any }[]

- Inherited from SsdMobilenetv1.getParamList

  - Defined in NeuralNetwork.ts:36

  #### Returns { path: string; tensor: any }[]

### getTrainableParams

- getTrainableParams(): { path: string; tensor: any }[]

- Inherited from SsdMobilenetv1.getTrainableParams

  - Defined in NeuralNetwork.ts:43

  #### Returns { path: string; tensor: any }[]

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- Inherited from SsdMobilenetv1.load

  - Defined in NeuralNetwork.ts:83

  #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- Inherited from SsdMobilenetv1.loadFromDisk

  - Defined in NeuralNetwork.ts:99

  #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- Inherited from SsdMobilenetv1.loadFromUri

  - Defined in NeuralNetwork.ts:91

  #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

### loadFromWeightMap

- loadFromWeightMap(weightMap: any): void

- Inherited from SsdMobilenetv1.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

  #### Parameters

  - ##### weightMap: any

  #### Returns void

### locateFaces

- locateFaces(input: any, options?: ISsdMobilenetv1Options): Promise<FaceDetection[]>

- Inherited from SsdMobilenetv1.locateFaces

  - Defined in ssdMobilenetv1/SsdMobilenetv1.ts:37

  #### Parameters

  - ##### input: any

  - ##### options: ISsdMobilenetv1Options = {}

  #### Returns Promise<FaceDetection[]>

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: any): void

- Inherited from SsdMobilenetv1.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

  #### Parameters

  - ##### paramPath: string

  - ##### tensor: any

  #### Returns void

### serializeParams

- serializeParams(): Float32Array

- Inherited from SsdMobilenetv1.serializeParams

  - Defined in NeuralNetwork.ts:75

  #### Returns Float32Array

### variable

- variable(): void

- Inherited from SsdMobilenetv1.variable

  - Defined in NeuralNetwork.ts:51

  #### Returns void